// Declare variables.
const browserStorage = browser.storage.local;
const tabPgInput = document.querySelector("#tabPageToLoad");
const saveBttn = document.querySelector("#saveButtonAction");
const delBttn = document.querySelector("#delButtonAction");


/*  Asign signal handaling in settings page.  */
// Save desired url....
saveBttn.addEventListener('click', () => {
    var urlLink = tabPgInput.value;
    urlLink = (urlLink.match(/(localhost)\b/)) ? urlLink.replace("localhost", "127.0.0.1") : urlLink;
    urlLink = (urlLink.match(/^(http:\/\/|https:\/\/)/)) ? urlLink : "http://" + urlLink;

    browserStorage.clear();
    browserStorage.set({ userSelectedTabPage : urlLink });

    tabPgInput.value = urlLink;
    console.log("Saved Alt Tab Page: " + urlLink);
});

// Delete desired url and set Default marker....
delBttn.addEventListener('click', () => {
    browserStorage.clear();
    tabPgInput.value = "Default";
    console.log("Deleted Alt Tab Page...");
});

// On start load from settings
function loadOnStart(restoredSettings) {
  var homeTabURL = restoredSettings.userSelectedTabPage;

  console.log("Trying to load settings if any...");
  if (homeTabURL !== "Default" && homeTabURL !== undefined) {
      tabPgInput.value = homeTabURL
  } else {
      tabPgInput.value = "Default";
  }
}

function onError(e) { console.error(e); }


browserStorage.get().then(loadOnStart, onError);
